part of 'faq_bloc.dart';

@immutable
class FaqState {
  const FaqState({
    this.status = StateStatus.idle,
    this.entries = const [],
  });

  final StateStatus status;
  final List<FaqEntry> entries;

  FaqState copyWith({
    StateStatus? status,
    List<FaqEntry>? entries,
  }) {
    return FaqState(
      status: status ?? this.status,
      entries: entries ?? this.entries,
    );
  }
}
